#property indicator_chart_window

extern bool		NoRepaint					   = FALSE;
extern double	MinorMinExtremeHeightATRs	= 2.0;
extern double	MajorToMinorHeightRatio		= 2.5;
extern int		MinorMinExtremeWidth		   = 2;
extern int		MajorMinExtremeWidth		   = 2;

//------------------------------------------------------------------
//
//------------------------------------------------------------------
int init() { return(0); }
int start()
{
   Comment("");   
   double valueUp = 0;
   double valueDn = 0;
   for (int i=0; i<Bars; i++)
   {
      double value = iCustom(NULL,0,"Extreme_Spike",NoRepaint,MinorMinExtremeHeightATRs,MajorToMinorHeightRatio,MinorMinExtremeWidth,MajorMinExtremeWidth,4,i);
      if (value!=0)
      {
         valueUp = iCustom(NULL,0,"Extreme_Spike",NoRepaint,MinorMinExtremeHeightATRs,MajorToMinorHeightRatio,MinorMinExtremeWidth,MajorMinExtremeWidth,0,i);
         valueDn = iCustom(NULL,0,"Extreme_Spike",NoRepaint,MinorMinExtremeHeightATRs,MajorToMinorHeightRatio,MinorMinExtremeWidth,MajorMinExtremeWidth,1,i);
         if (valueUp!=0 || valueDn!=0) break;
      }                  
   }
   if (valueUp!=0) Comment("last peak is UP and it happend at bar : "+i);
   if (valueDn!=0) Comment("last peak is DOWN and it happend at bar : "+i);
   return(0);
}